Subject: Re: bug#72917: ffmpeg@{3,4,5} build failures on i686-linux

From: André Batista <[email-masked]>
Date: Tue, 3 Sep 2024 11:44:19 -0300

dom 01 set 2024 às 12:15:01 (1725203701), [email-masked] enviou:
> I was able to reconfigure the system on core updates by adding the following
> snippet into openals phases
> 
> #$@(if (target-x86-32?)
>  #~((add-before 'configure 'unprotect
>      (lambda* _
>        (substitute* "CMakeLists.txt"
>          (("if\\(HAVE_GCC_PROTECTED_VISIBILITY\\)") "if(0)")))))
>  #~())
> 
> which disables the protection causing problems. I don't know what the
> implications of this change are.

The problem with this solution is twofold: first we would loose this
safety check for all packages that depend on openal and even for devs on
guix working with this library; second, since there are many packages
which use it as an input, this would trigger lots os rebuilds.

I think the reasons why this was implemented were described here:

<https://maskray.me/blog/2021-01-09-copy-relocations-canonical-plt-entries-and-protected>

Cheers!